/* $Id: irplib_math_const.h,v 1.2 2008/03/25 10:31:31 llundin Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2008/03/25 10:31:31 $
 * $Revision: 1.2 $
 * $Name: HEAD $
 */

#ifndef IRPLIB_MATH_CONST_H
#define IRPLIB_MATH_CONST_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
                                Defines
 -----------------------------------------------------------------------------*/

#ifdef __GNUC__
#warning "irplib_math_const.h is deprecated, use cpl_math_const.h instead"
#endif

#define IRPLIB_MATH_E        CPL_MATH_E
#define IRPLIB_MATH_PI       CPL_MATH_PI
#define IRPLIB_MATH_LN2      CPL_MATH_LN2
#define IRPLIB_MATH_LN10     CPL_MATH_LN10
#define IRPLIB_MATH_2PI      CPL_MATH_2PI
#define IRPLIB_MATH_PI_2     CPL_MATH_PI_2
#define IRPLIB_MATH_PI_4     CPL_MATH_PI_4
#define IRPLIB_MATH_1_PI     CPL_MATH_1_PI
#define IRPLIB_MATH_2_PI     CPL_MATH_2_PI
#define IRPLIB_MATH_4_PI     CPL_MATH_4_PI
#define IRPLIB_MATH_SQRT2PI  CPL_MATH_SQRT2PI
#define IRPLIB_MATH_2_SQRTPI CPL_MATH_2_SQRTPI
#define IRPLIB_MATH_SQRT2    CPL_MATH_SQRT2
#define IRPLIB_MATH_SQRT3    CPL_MATH_SQRT3
#define IRPLIB_MATH_SQRT1_2  CPL_MATH_SQRT1_2
#define IRPLIB_MATH_LOG2E    CPL_MATH_LOG2E
#define IRPLIB_MATH_LOG10E   CPL_MATH_LOG10E
#define IRPLIB_MATH_DEG_RAD  CPL_MATH_DEG_RAD
#define IRPLIB_MATH_RAD_DEG  CPL_MATH_RAD_DEG
#define IRPLIB_MATH_FWHM_SIG CPL_MATH_FWHM_SIG
#define IRPLIB_MATH_SIG_FWHM CPL_MATH_SIG_FWHM

/**@}*/

#endif

